package com.kingdee.eas.custom.projectbonus;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractBonusCycleBusDepProjectAssPersonnelDetailInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractBonusCycleBusDepProjectAssPersonnelDetailInfo()
    {
        this("id");
    }
    protected AbstractBonusCycleBusDepProjectAssPersonnelDetailInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分配人员明细表 's null property 
     */
    public com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectInfo getParent()
    {
        return (com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分配人员明细表 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 分配人员明细表 's 职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object: 分配人员明细表 's 职等 property 
     */
    public com.kingdee.eas.hr.org.JobGradeInfo getGrade()
    {
        return (com.kingdee.eas.hr.org.JobGradeInfo)get("grade");
    }
    public void setGrade(com.kingdee.eas.hr.org.JobGradeInfo item)
    {
        put("grade", item);
    }
    /**
     * Object:分配人员明细表's 个人初始比例property 
     */
    public java.math.BigDecimal getInitialProportion()
    {
        return getBigDecimal("initialProportion");
    }
    public void setInitialProportion(java.math.BigDecimal item)
    {
        setBigDecimal("initialProportion", item);
    }
    /**
     * Object:分配人员明细表's 职能系数property 
     */
    public java.math.BigDecimal getFunctionCoefficient()
    {
        return getBigDecimal("functionCoefficient");
    }
    public void setFunctionCoefficient(java.math.BigDecimal item)
    {
        setBigDecimal("functionCoefficient", item);
    }
    /**
     * Object:分配人员明细表's 精力投入系数property 
     */
    public java.math.BigDecimal getEnergyInputCoeff()
    {
        return getBigDecimal("energyInputCoeff");
    }
    public void setEnergyInputCoeff(java.math.BigDecimal item)
    {
        setBigDecimal("energyInputCoeff", item);
    }
    /**
     * Object:分配人员明细表's Q1绩效等级property 
     */
    public String getPerformanceGradeQ1()
    {
        return getString("performanceGradeQ1");
    }
    public void setPerformanceGradeQ1(String item)
    {
        setString("performanceGradeQ1", item);
    }
    /**
     * Object:分配人员明细表's Q1绩效系数property 
     */
    public java.math.BigDecimal getPerformanceCoeffQ1()
    {
        return getBigDecimal("performanceCoeffQ1");
    }
    public void setPerformanceCoeffQ1(java.math.BigDecimal item)
    {
        setBigDecimal("performanceCoeffQ1", item);
    }
    /**
     * Object:分配人员明细表's Q2绩效等级property 
     */
    public String getPerformanceGradeQ2()
    {
        return getString("performanceGradeQ2");
    }
    public void setPerformanceGradeQ2(String item)
    {
        setString("performanceGradeQ2", item);
    }
    /**
     * Object:分配人员明细表's Q2绩效系数property 
     */
    public java.math.BigDecimal getPerformanceCoeffQ2()
    {
        return getBigDecimal("performanceCoeffQ2");
    }
    public void setPerformanceCoeffQ2(java.math.BigDecimal item)
    {
        setBigDecimal("performanceCoeffQ2", item);
    }
    /**
     * Object:分配人员明细表's 个人考核系数property 
     */
    public java.math.BigDecimal getAssessmentCoeff()
    {
        return getBigDecimal("assessmentCoeff");
    }
    public void setAssessmentCoeff(java.math.BigDecimal item)
    {
        setBigDecimal("assessmentCoeff", item);
    }
    /**
     * Object:分配人员明细表's 奖金期限起算日期property 
     */
    public java.util.Date getBonusStartingDate()
    {
        return getDate("bonusStartingDate");
    }
    public void setBonusStartingDate(java.util.Date item)
    {
        setDate("bonusStartingDate", item);
    }
    /**
     * Object:分配人员明细表's 奖金期限截止日期property 
     */
    public java.util.Date getBonusDueDate()
    {
        return getDate("bonusDueDate");
    }
    public void setBonusDueDate(java.util.Date item)
    {
        setDate("bonusDueDate", item);
    }
    /**
     * Object:分配人员明细表's 出勤率property 
     */
    public java.math.BigDecimal getAttendanceRate()
    {
        return getBigDecimal("attendanceRate");
    }
    public void setAttendanceRate(java.math.BigDecimal item)
    {
        setBigDecimal("attendanceRate", item);
    }
    /**
     * Object:分配人员明细表's 职能系数*精力投入系数*出勤率*职级系数*个人考核系数property 
     */
    public java.math.BigDecimal getCumulative()
    {
        return getBigDecimal("cumulative");
    }
    public void setCumulative(java.math.BigDecimal item)
    {
        setBigDecimal("cumulative", item);
    }
    /**
     * Object:分配人员明细表's 个人奖金占比property 
     */
    public java.math.BigDecimal getBonusProportion()
    {
        return getBigDecimal("bonusProportion");
    }
    public void setBonusProportion(java.math.BigDecimal item)
    {
        setBigDecimal("bonusProportion", item);
    }
    /**
     * Object:分配人员明细表's 本期个人奖金额（万元）property 
     */
    public java.math.BigDecimal getIndivBonusAmount()
    {
        return getBigDecimal("indivBonusAmount");
    }
    public void setIndivBonusAmount(java.math.BigDecimal item)
    {
        setBigDecimal("indivBonusAmount", item);
    }
    /**
     * Object:分配人员明细表's 征求意见金额（万元）property 
     */
    public java.math.BigDecimal getOpinionAmount()
    {
        return getBigDecimal("opinionAmount");
    }
    public void setOpinionAmount(java.math.BigDecimal item)
    {
        setBigDecimal("opinionAmount", item);
    }
    /**
     * Object:分配人员明细表's 征求意见金额调整说明property 
     */
    public String getAdjustmentDesc()
    {
        return getString("adjustmentDesc");
    }
    public void setAdjustmentDesc(String item)
    {
        setString("adjustmentDesc", item);
    }
    /**
     * Object:分配人员明细表's 总经理审批金额（实发）（万元）property 
     */
    public java.math.BigDecimal getApprovalAmount()
    {
        return getBigDecimal("approvalAmount");
    }
    public void setApprovalAmount(java.math.BigDecimal item)
    {
        setBigDecimal("approvalAmount", item);
    }
    /**
     * Object:分配人员明细表's 总经理审批金额调整说明property 
     */
    public String getRemarks()
    {
        return getString("remarks");
    }
    public void setRemarks(String item)
    {
        setString("remarks", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("7ADF0816");
    }
}